Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Class ComponentTransferRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.ComponentTransferRed

All Implemented Interfaces:
  RenderedImage, CachableRed

    public class ComponentTransferRed

extends AbstractRed

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`ComponentTransferRed(CachableRed src, TransferFunction[] funcs, RenderingHints hints)` The constructor will instantiate a LookupOp instance using a LookupOp, which is built using the four LUT data obtained by the TransferFunction objects funcs[0] : Alpha component transfer function funcs[1] : Red component transfer function funcs[2] : Green component transfer function funcs[3] : Blue component transfer function

Method Summary
`WritableRaster` | `copyData(WritableRaster wr)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTile, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentTransferRed

    public ComponentTransferRed(CachableRed src,
                                TransferFunction[] funcs,
                                RenderingHints hints)

  The constructor will instantiate a LookupOp instance using a LookupOp, which is built using the four LUT data obtained by the TransferFunction objects funcs[0] : Alpha component transfer function funcs[1] : Red component transfer function funcs[2] : Green component transfer function funcs[3] : Blue component transfer function

Method Detail

### copyData

    public WritableRaster copyData(WritableRaster wr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.